@import "https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css";
@import "https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css";
@import "./Variables.scss";
@import "./Latest.scss";
@import "./Promo.scss";
@import "./Footer.scss";
@import "./SearchBar.scss";
@import "./Nav.scss";
@import "./RootApp.scss";
@import "./Logo.scss";
@import "./Button.scss";
@import "./Footer.scss";
@import "./Shortcut.scss";
@import "./ListOfProducts.scss";
@import "./Pagination.scss";
@import "./AsideComponent.scss";
@import "./HeaderLogo.scss";
@import "./HeaderLogo.scss";
@import "./product.scss";

* {
  margin: 0;
  padding: 0;
}

* {
  box-sizing: border-box;
}
/* ===== Scrollbar CSS ===== */
/* Firefox */
* {
  scrollbar-width: none;
  scrollbar-color: #d3cec0 #9c8f75;
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 14px;
}

*::-webkit-scrollbar-track {
  background: #9c8f75;
}

*::-webkit-scrollbar-thumb {
  background-color: #d3cec0;
  border-radius: 10px;
  border: 0px none #ffffff;
}

body {
  background-color: $base-background;
  margin: 0;
}

.rootApp {
  min-height: 100vh;
  /* min-width: 100vw; */
  display: flex;
  flex-direction: column;
}

/* bg home rambo */
.try {
  display: flex;
  flex: 8;
}

/*header*/
.logo_header {
  max-width: 10%;
  position: absolute;
  top: 0px;
  left: 0px;
}

.items {
  list-style-type: none;
  color: #f1f1f1;
  cursor: pointer;
}
input {
  color: #9dabcf;
}
.btn_res {
  display: none;
}
.search {
  width: 30%;
}
.img_header {
  max-width: 10%;
}
.btn_compte,
.btn_dark {
  float: right;
  margin-right: 50px;
  flex-direction: column;
}
.btn_search {
  float: right;
  width: 30px;
  height: 30px;
  display: block;
  margin-right: 17%;
}
.read {
  float: left;
  margin-left: 30%;
}

@media screen and (max-width: 800px) {
  .logo_header {
    max-width: 15%;
    position: absolute;
    top: 0px;
    left: 0px;
    display: none;
  }
  .liste {
    flex-direction: column;
    background-color: #9dabcf;
    height: 200px;
  }
  .btn_compte {
    float: right;
    height: 20px;
    width: 20px;
    margin-left: 100%;
  }
  .btn_shop {
    float: right;
    width: 20px;
    height: 200px;
    display: block;
    margin-top: 1%;
  }
  .btn_dark {
    float: right;
    width: 20px;
    height: 20px;
    display: block;
    margin-top: 1%;
  }
  .btn_search {
    width: 5%;
    margin-right: 0%;
    /*display:none*/
  }

  .read {
    display: none;
  }
  .items:nth-child(1) {
    border-top: 1px solid #fff;
    margin-top: 50px;
  }
  .items {
    height: 50px;
    width: 100%;
    border-bottom: 1px solid;
    line-height: 50px;
  }
  .btn_res {
    top: 0px;
    left: 0px;
    display: block;
    position: absolute;

    width: 30px;
    top: 10px;
    color: white;
    background-color: #334756;
    cursor: pointer;
  }

  .search {
    width: 60%;
    margin-left: 21%;
  }
}

/*menu burger*/
.topnav {
  z-index: 2;
}
.menuNav {
  background: #ffb185;
  list-style-type: none;
  color: #f1f1f1;
  display: flex;
  align-items: flex-end;
  font-family: fira font-firaCode;
  font-weight: bold;
  font-size: 18px;
  place-content: start space-evenly;
}
.diff {
  display: none;
}

.topnav .icon {
  display: none;
}
.btn_shop {
  float: right;
  margin-right: 20px;
  flex-direction: column;
}
@media screen and (max-width: 1180px) {
  .menuNav {
    font-size: 14px;
  }
}
@media screen and (max-width: 1032px) {
  .menu ul {
    font-size: 11px;
  }
}
@media screen and (max-width: 951px) {
  ul.topnav li:not(:first-child) {
    display: none;
  }
  ul.topnav li.icon {
    float: right;
    cursor: pointer;
    display: inline-block;
    margin-right: 20px;
  }
  .menu li a {
    display: block;
    padding: 0.5em;
  }
}
@media screen and (max-width: 951px) {
  .menu ul {
    list-style-type: none;
    color: #f1f1f1;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
  }
  ul.topnav.responsive {
    position: relative;
  }
  ul.topnav.responsive li.icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  ul.topnav.responsive li {
    float: none;
    display: inline;
  }
  ul.topnav.responsive li a {
    display: block;
    text-align: left;
  }
  ul.topnav.responsive li {
  }

  ul.topnav.responsive li:hover ul {
    display: block;
    width: 100%;
  }
  .btn_shop {
    display: none;
  }
}


.homeMedia {
  min-width: 80%;
  margin-left: 12.5%;
  /* margin-right: auto; */
  height: 80%;
  margin-top: 20px;
  box-shadow: 0 2.8px 2.2px rgba(0, 0, 0, 0.034),
    0 6.7px 5.3px rgba(0, 0, 0, 0.048), 0 12.5px 10px rgba(0, 0, 0, 0.06),
    0 22.3px 17.9px rgba(0, 0, 0, 0.072), 0 41.8px 33.4px rgba(0, 0, 0, 0.086),
    0 100px 80px rgba(0, 0, 0, 0.12);
  border-radius: 10px;
}
@media screen and (max-width: 800px) {
  .homeMedia {
    display: none;
  }
}
.homeButton {
  width: 7%;
  border-radius: 5px;
  right: 15%;
  top: 52%;
  box-shadow: 0 2.8px 2.2px rgba(0, 0, 0, 0.034),
    0 6.7px 5.3px rgba(0, 0, 0, 0.048), 0 12.5px 10px rgba(0, 0, 0, 0.06),
    0 22.3px 17.9px rgba(0, 0, 0, 0.072), 0 41.8px 33.4px rgba(0, 0, 0, 0.086),
    0 100px 80px rgba(0, 0, 0, 0.12);
}
.homeButton:active {
  box-shadow: inset 0 1px 0 #ffe5c4, inset 0 -2px 0 rgb(245 158 11);
}

.games {
  max-height: 320px;
}

.film {
  width: 25%;
  max-height: 550px;
  padding: 10px;
  display: flex;
  justify-content: center;
}

.film img {
  height: 500px;
  width: auto;
  align-self: center;
}



.filmtitle {
  display: flex;
  justify-content: space-between;
  margin: 0;
}

li {
  list-style: none;
  padding: 5px;
}

.select {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 260px;
  height: 260px;
  background-color: gray;
}
.select img {
  width: 240px;
  height: 240px;
}

.dropdown:hover .dropdown-menu {
  display: block;
  z-index: 10;
}

.popup-box {
  position: fixed;
  background: #00000050;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
}

.box {
  position: relative;
  width: 50%;
  margin: 0 auto;
  height: auto;
  max-height: 70vh;
  margin-top: calc(100vh - 85vh - 20px);
  background: $color-5;
  border-radius: 4px;
  padding: 20px;
  border: 1px solid $color-4;
  overflow: auto;
  p{
    text-align: center;
    color: $color-4;
  }
}

.close-icon {
  cursor: pointer;
  position: fixed;
  right: calc(28% - 30px);
  top: calc(100vh - 83vh - 33px);
  width: 25px;
  height: 25px;
  border-radius: 50%;
}

.fas .fa-star {
  color: yellow;
}
.bg-filtre-dark {
  background: #dddcdc;
}
.product-bg {
  background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0) 0%,
      rgb(255 255 255 / 54%) 59%,
      rgb(255 255 255 / 79%) 100%
    ),
    url(./product_bg.png);
  background-size: cover;
}
/* SEARCH BUTTON NAVBAR */
.searchButton {
  color: white;
}
.liste a {
  text-transform: uppercase;
  font-weight: bold;
}
.backgrpromo {
  border-radius: 20px;
  padding-top: 1em;
  padding-bottom: 1.5em;
}
.backgrpromo h1 {
  color: #f0a500;
}
.backgrpromo p {
  font-family: fira font-firaCode;
  font-size: 20px;
  cursor: pointer;
}
.dropdown:hover .dropdown-menu {
  display: block;
  z-index: 10;
}
@media screen and (max-width: 1200px) {
  .contains {
    display: grid;
  }
}
.breadCrumbNav a {
  color: black;
}

.dark {
  background-color: #dddd;
}
/*accueil*/
.btnaccueil {
  font-size: 1.2rem;
  background: #f0a500;
  padding: 0.2rem 1.5rem;
  border-radius: 10px;
  position: relative;
  margin: 10px;
}
@media screen and (max-width: 800px) {
  .taille_img_acc {
    max-width: 20rem;
    height: 10rem;
  }
}
.txtacc {
  font-size: 1.2rem;
  background-color: rgba(35, 49, 59, 0.86);
  width: 320px;
  border-radius: 8px;
  color: #f0a500;
  height: 47px;
  line-height: 47px;
  /* list-style: none; */
}
.txtacc2 {
  width: 750px;
  font-size: 1.2rem;
  background-color: rgba(35, 49, 59, 0.86);
  border-radius: 8px;
  color: #f0a500;
  list-style: none;
  height: 47px;
  line-height: 47px;
  display: block;
}
.txtacc3 {
  width: 426px;
  font-size: 1.2rem;
  background-color: rgba(35, 49, 59, 0.86);
  border-radius: 8px;
  color: #f0a500;
  list-style: none;
  height: 47px;
  line-height: 47px;
}
@media screen and (max-width: 800px) {
  .txtacc {
    width: 10rem;
  }
  .txtacc2 {
    width: 20rem;
  }
  .txtacc3 {
    width: 13.3rem;
  }
}

.containerinfo {
  height: 75vh;
}
